using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RozenbergBrovki
{
    public partial class Записьклиента : Form
    {
        public Записьклиента()
        {
            InitializeComponent();
        }

        private void Записьклиента_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "rozenbergBrDataSet.Clientservic". При необходимости она может быть перемещена или удалена.
            this.clientservicTableAdapter.Fill(this.rozenbergBrDataSet.Clientservic);
           

        }

        private void Сохранить_Click(object sender, EventArgs e)
        {
        
        }

        private void clientservicBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.clientservicBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.rozenbergBrDataSet);

        }

        private void добавить_Click(object sender, EventArgs e)
        {
    
            clientservicBindingSource.AddNew();
        }

        private void сохранить_Click_1(object sender, EventArgs e)
        {
            this.Validate();
            this.clientservicBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.rozenbergBrDataSet);
            MessageBox.Show("Данные сохранены");
        }
    }
}
